# TYCamport3: TY_IMAGE_DATA Struct Reference

TY_IMAGE_DATA Struct Reference

## Public Attributes

uint64_t | timestamp
| Timestamp in microseconds.
int32_t | imageIndex
| image index used in trigger mode
int32_t | status
| Status of this buffer.
int32_t | componentID
| Where current data come from.
int32_t | size
| Buffer size.
void * | buffer
| Pointer to data buffer.
int32_t | width
| Image width in pixels.
int32_t | height
| Image height in pixels.
int32_t | pixelFormat
| Pixel format, see TY_PIXEL_FORMAT_LIST.
int32_t | reserved [9]
| Reserved.

## Detailed Description

Definition at line 969 of file TYApi.h.

The documentation for this struct was generated from the following file:

- TYApi.h